# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
Summary: Patch stack for Git repositories
Name: stgit
Version: 0.16
Release: alt1_3
License: GPLv2
Group: Development/Tools
URL: http://www.procode.org/stgit/
Source: http://download.gna.org/%{name}/%{name}-%{version}.tar.gz

# resolves: #872651
Patch: stgit-0.16-tmpl.patch

BuildArch: noarch
BuildRequires: git-core python-devel asciidoc xmlto
Requires: git-core
Source44: import.info

%description
StGit is a Python application providing similar functionality
to Quilt (i.e. pushing/popping patches to/from a stack) on top of Git.
These operations are performed using Git commands and the patches
are stored as Git commit objects, allowing easy merging of the StGit patches
into other repositories using standard Git functionality.

Note that StGit is not an SCM interface on top of Git and it expects
a previously initialized Git repository. For standard SCM operations,
either use plain Git commands or the Cogito tool.

%prep
%setup -q
%patch -p1 -b .templ
chmod -x contrib/stgbashprompt.sh
chmod -x stgit-completion.bash

%build
make all doc prefix=%{_prefix} %{?_smp_mflags}

%install
make install install-doc DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}

# Install bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
ln -s ../..%{_datadir}/%{name}/completion/stgit-completion.bash \
    $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%files
%doc AUTHORS COPYING README RELEASENOTES
%{_bindir}/stg
%{python_sitelibdir_noarch}/*
%{_datadir}/stgit/
%{_sysconfdir}/bash_completion.d/
%{_mandir}/man1/stg*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1_3
- initial fc import

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.14.3-alt2.1
- Rebuilt with python 2.6

* Sat May 30 2009 Slava Semushin <php-coder@altlinux.ru> 0.14.3-alt2
- Fixed build with fresh git
- Added git-core to Requires
- Compress ChangeLog (noted by repocop)
- Updated %%description (don't mention about Cogito)

* Fri May 01 2009 Slava Semushin <php-coder@altlinux.ru> 0.14.3-alt1
- New maintainer
- Updated to 0.14.3 (Closes: #15198)
- Updated %%description
- Changed Group to Development/Tools
- Don't package empty /usr/share/doc/stgit directory
- Some directories created by package now belongs to package
- Packaged more documentation files
- Install and package manual pages
- Run test suite during build
- Enable _unpackaged_files_terminate_build

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.12.1-alt1.1
- Rebuilt with python-2.5.

* Wed Mar 21 2007 Alex V. Myltsev <avm@altlinux.ru> 0.12.1-alt1
- Initial build for Sisyphus

